<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="../css/style.css" />
    <!-- Font awesome -->
    <script
      src="https://kit.fontawesome.com/8f4c8f6237.js"
      crossorigin="anonymous"
    ></script>
    <title>Level 2</title>
  </head>

  <div id="actualLvl">2</div>

  <body class="bckLvl lvl2">
    <div id="deathCounterContainer">
      <div class="keyboard">
        <div class="touches">
          <div class="touche q"></div>
          <div class="touche up">W</div>
          <div class="touche e"></div>
        </div>
        <div class="touches">
          <div class="touche left">A</div>
          <div class="touche down">S</div>
          <div class="touche right">D</div>
        </div>
        <div class="touches">
          <div class="touche space">SPACE</div>
        </div>
      </div>

      <label class="difficulty">
        <input id="checkboxEZ" type="checkbox" />
        <img src="../assets/buoy.png" alt="" />
        <span class="checkmark"></span>
      </label>
      <button class="ui-sound-button" onclick="onClickAllAudioMute()">
        <i id="allAudio" class="fas fa-volume-up"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSFXMute()">
        <i id="fxAudio" class="fas fa-headphones-alt"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSongMute()">
        <i id="musicAudio" class="fas fa-music"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickBackToMenu()">
        <img id="backToMenuButton" src="../assets/mapbutton.png" />
      </button>
      <div class="deathAndRecord">
        <div>
          <span id="deathCounter">0</span>
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
        <p>Best : <span id="record">0</span> death(s)</p>
      </div>
    </div>

    <div id="camera"></div>

    <div id="player" class="moveR">
      <div id="hitbox"></div>
    </div>

    <div class="level">
      <div class="parallax2 lvl2"></div>
      <div class="parallax1 lvl2"></div>
      <div class="block rock wall"></div>

      <div>
        <img id="startImg" class="decorProps" src="../assets/items/start.png" />
        <div id="start"></div>
        <div class="block rock b1"></div>
      </div>

      <div>
        <img class="decorProps ruby" src="../assets/items/ruby.png" />
        <div class="block rock b3"></div>
      </div>

      <div class="hole b1"><img src="../assets/textures/lava.gif" /></div>

      <!-- Spikes spam on platform -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b3"></div>
      </div>
      <!-- hole -->

      <div class="hole b1"><img src="../assets/textures/lava.gif" /></div>

      <div>
        <img class="decorProps ruby" src="../assets/items/ruby-big.png" />
        <div class="block rock b2"></div>
      </div>
      <!-- trap pic -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b1"></div>
      </div>
      <div class="block rock b1"></div>

      <!-- spam spike -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>

        <div class="block rock b2"></div>
      </div>

      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block rock b1"></div>
      </div>

      <!-- trou -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b1"></div>
      </div>
      <div class="hole b2">
        <img src="../assets/textures/lava.gif" />
        <img src="../assets/textures/lava.gif" />
      </div>

      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b5"></div>
      </div>

      <!-- toxic walljump -->
      <div class="relative back">
        <div class="block rock b1 f2 h8"></div>
        <div class="block rock b1"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h7 f3"></div>
        </div>
      </div>
      <div>
        <!--    Easy mode blocks    -->
        <div class="plebs">
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="block rock b2"></div>
        </div>

        <div class="hole b2">
          <img src="../assets/textures/lava.gif" />
          <img src="../assets/textures/lava.gif" />
        </div>
      </div>

      <div class="relative back">
        <img class="decorProps ruby" src="../assets/items/ruby.png" />
        <div class="block rock b1 h8"></div>
        <div class="added _r">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h6"></div>
          <div class="wrb b1 h1"></div>
        </div>
      </div>
      <div class="block rock b1 h8"></div>

      <!-- side spike section -->
      <div class="behind">
        <div class="f5 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b1"></div>
      </div>

      <div class="behind">
        <div class="f4 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b1"></div>
      </div>

      <div class="relative back">
        <div class="block rock b1 f2 h10"></div>
        <div class="block rock b1"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h4"></div>
          <div class="wlb b1 h1 f7"></div>
        </div>
      </div>

      <div class="plebs">
        <div class="platform f1"></div>
        <div class="platform f1"></div>
        <div class="platform f1"></div>
        <div class="platform f1"></div>
        <div class="block rock b2 f6"></div>
        <div class="block rock b2"></div>
      </div>

      <div class="plebs">
        <div class="block rock b1 f1 h4"></div>
        <div class="block rock b1 f6"></div>
        <div class="block rock b1"></div>
      </div>

      <div class="relative back">
        <div class="flex f2">
          <div class="hole b2"></div>
          <div class="block rock b1 h2"></div>
          <div class="block rock b3"></div>
        </div>

        <div class="ennemy">
          <div class="trap monsterA"></div>
        </div>
        <div class="block rock b6 f6"></div>
        <div class="block rock b6"></div>
        <div class="added _r offset2">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h1 f10"></div>
        </div>
      </div>

      <!-- stairs sections -->
      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block rock b1"></div>
        <div class="hole b1"><img src="../assets/textures/lava.gif" /></div>
      </div>

      <div>
        <img class="decorProps ruby" src="../assets/items/ruby-big.png" />
        <div class="block rock b1 f2"></div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block rock b1 f4"></div>
        <div class="block rock b1 f2"></div>
      </div>

      <div>
        <div class="block rock b1 f3"></div>
        <div class="block rock b1 f3"></div>
        <div class="block rock b1 f2"></div>
        <div class="hole b1"><img src="../assets/textures/lava.gif" /></div>
      </div>

      <div>
        <div class="block rock b1 f2"></div>
        <div class="block rock b1 f3"></div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block rock b1 f4"></div>
      </div>

      <div>
        <div class="ennemy">
          <div id="LVL1" class="trap monsterB"></div>
        </div>
        <div class="block rock b1 f10"></div>
        <div class="hole b1"><img src="../assets/textures/lava.gif" /></div>
      </div>

      <div>
        <div class="block rock b1 f2"></div>
        <div class="block rock b1 f3"></div>
        <div class="block rock b1 f4"></div>
      </div>

      <div>
        <div class="block rock b1 f6"></div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block rock b1 f3"></div>
        <div class="hole b1"><img src="../assets/textures/lava.gif" /></div>
      </div>

      <!-- toxic walljump 2 -->
      <div class="relative back">
        <div class="block rock b1 f2"></div>
        <div class="block rock b1 f2 h2"></div>
        <div class="block rock b1 f4"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h1 f7"></div>
        </div>
      </div>

      <!--   plebzone anti walljump  -->
      <div class="plebs">
        <div class="block rock b2 f3"></div>
        <div class="block rock b1 f1"></div>
        <div class="block rock b2 f4"></div>
        <div class="hole b2">
          <img src="../assets/textures/lava.gif" />
          <img src="../assets/textures/lava.gif" />
        </div>
      </div>

      <div class="plebs">
        <div class="block rock b1 f4"></div>
        <div class="block rock b1 f5"></div>
        <div class="hole b1">
          <img src="../assets/textures/lava.gif" />
        </div>
      </div>

      <div class="plebs">
        <div class="block rock b1 f3"></div>
        <div class="block rock b1 f6"></div>
        <div class="hole b1">
          <img src="../assets/textures/lava.gif" />
        </div>
      </div>

      <div>
        <div class="block rock b2 f10"></div>
        <div class="hole b2"><img src="../assets/textures/lava.gif" /></div>
      </div>

      <!--    <div class="block rock b1 wall"></div>-->
      <div class="relative back">
        <div class="block rock b1 h12"></div>
        <div class="added _r">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h9"></div>
          <div class="wrb b1 h1"></div>
        </div>
      </div>
      <div class="hole b2">
        <img src="../assets/textures/lava.gif" />
        <img src="../assets/textures/lava.gif" />
      </div>
      <div>
        <div class="block rock b10 h30 f2"></div>
        <div class="block rock b10"></div>
      </div>

      <div>
        <div class="block rock b3 h30 f2"></div>
        <div id="finish" class="block rock b3"></div>
      </div>

      <!--    <div class="block rock b1 wall"></div>-->

      <div class="trap pic fall"></div>
    </div>

    <div class="place"></div>
  </body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>
  <script src="../js/level.js"></script>
</html>
